<!DOCTYPE HTML>

<html manifest="cache.manifest">
<head>
	<title>雄-PK大賽</title>
	<meta http-equiv="Content-Type" content="application/xhtml+xml; charset=UTF-8" />
	<meta name="Author" content="gsyan, 顏國雄, 2014.02.18">
	<meta name="apple-mobile-web-app-capable" content="yes" />
    <link rel="apple-touch-icon" href="assets/icon.png"/>
	<!-- STARTUP IMAGES -->
	<!-- startup image for web apps - iPad - landscape (748x1024) 
		Note: iPad landscape startup image has to be exactly 748x1024 pixels (portrait, with contents rotated).-->
	<link rel="apple-touch-startup-image" href="assets/startup-ipad-l.png" media="screen and (min-device-width: 481px) and (max-device-width: 1024px) and (orientation:landscape)" />
	
	<!-- startup image for web apps - iPad - portrait (768x1004) -->
	<link rel="apple-touch-startup-image" href="assets/startup-ipad-p.png" media="screen and (min-device-width: 481px) and (max-device-width: 1024px) and (orientation:portrait)" />

	<!-- startup image for web apps (320x460) -->
	<link rel="apple-touch-startup-image" href="assets/startup.png" media="screen and (max-device-width: 320px)" />

</head>
<body>
   	<script type="text/javascript">
		(function(name,callback){

			var getObjectByName = function(name, opt_obj) {
				var parts = name.split('.');
				var cur = opt_obj || window;
				for (var part; part = parts.shift(); ) {
					if (cur[part]) {
						cur = cur[part];
					} else {
						return null;
					}
				}
				return cur;
			};

			function loadJS(call){
				var script = document.createElement('script');
				script.setAttribute('type','text/javascript');
				script.onload = function(){
					(getObjectByName(callback))();
					call();
				};

				script.setAttribute('src',name);
				document.getElementsByTagName('head')[0].appendChild(script);
			}

			var webappCache = window.applicationCache;

			if(webappCache && window.navigator.userAgent.indexOf('WebKit') != -1){

				var WIDTH = 200,
					HEIGHT = 100;

				var scripts = document.getElementsByTagName('script');
				var script = scripts[scripts.length-1];
				var el = document.createElement('div');
				var parent = script.parentNode;
				if(parent.style.position!='absolute' && parent.style.position!='relative'){
					parent.style.cssText = 'relative';
				}
				var pwidth = window.innerWidth;
				var pheight = window.innerHeight;
				el.style.cssText = 'text-align:center;width:'+WIDTH+'px;height:'+HEIGHT+'px;position:absolute;left:'+Math.round((pwidth-WIDTH)*.5)+'px;top:'+Math.round((pheight-HEIGHT)*.5)+'px';
				script.parentNode.insertBefore(el,script);
				script.parentNode.removeChild(script);

				var started = 0;

				var close = function(){
					if(started) return;
					el.innerHTML = 'Starting';
					loadJS(function(){
						el.parentNode.removeChild(el);
					});
					started=1;
					clearTimeout(timeout);
				};

				var timeout = setTimeout(function(){close()},2000);

				webappCache.addEventListener('checking', function(){
					//console.log('checking');
					el.innerHTML = 'Initializing';
					},false);

				webappCache.addEventListener('cached', function(){
					//console.log('cached');
					close();
				},false);

				webappCache.addEventListener('noupdate', function(){
					//console.log('noupdate');
					close();
				},false);

				webappCache.addEventListener('updateready', function(){
					//console.log('updateready');
					webappCache.swapCache();
					close();
				},false);
/*
			webappCache.addEventListener('downloading', function(){
					clearTimeout(timeout);
				},false);

				webappCache.addEventListener('progress', function(e){
					console.log('progress '+e.loaded+'/'+e.total);
					el.innerHTML = 'Loading '+e.loaded+'/'+e.total;
				},false);
*/
				webappCache.addEventListener('obsolete', function(){
					//console.log('obsolete')
					close();
				}, false);

				webappCache.addEventListener('error', function(e){
					//console.log('error');
					close();
				}, false);
			}
			else {
				loadJS(function(){});
			}

		})('pk.js','pk.start');

		</script>
</body>

</html>
